> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno Stem Extraction API Reference

> Use the Suno Stems API to extract vocals, instruments, or another supported stem type from an existing Suno track.

Use the **Suno Stems API** to extract a selected stem from an existing Suno track. Set `stem_type` to choose the target part, such as `lead_vocal`, `bass`, `piano`, `drum_kit`, or `electric_guitar`.

If `stem_type` is omitted, uses `lead_vocal` by default.


## OpenAPI

````yaml openapi/en/suno.json POST /suno/v1/stems
openapi: 3.1.0
info:
  title: TTAPI API DOCS
  version: 1.0.0
  description: Suno AI Music API
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /suno/v1/stems:
    post:
      requestBody:
        required: true
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/IsStorageParams'
                - $ref: '#/components/schemas/HookUrlParams'
                - type: object
                  properties:
                    music_id:
                      type: string
                      description: Audio ID of the track to split.
                    stem_type:
                      type: string
                      description: >-
                        Stem type to extract. Defaults to lead_vocal. Use
                        lead_vocal for vocal separation, or pass another
                        supported stem code such as bass, piano, drum_kit,
                        electric_guitar, and more.
                      default: lead_vocal
                      enum:
                        - lead_vocal
                        - drum_kit
                        - bass
                        - backing_vocals
                        - piano
                        - electric_guitar
                        - percussion
                        - string_section
                        - synth
                        - acoustic_guitar
                        - sound_effects
                        - synth_pad
                        - synth_bass
                        - guitar
                        - brass_section
                        - organ
                        - electronic_drum_kit
                        - lead_electric_guitar
                        - synth_keys
                        - rhythm_electric_guitar
                        - electric_piano
                        - upright_bass
                        - keyboards
                        - distorted_electric_guitar
                        - kick
                        - snare
                        - risers
                        - synth_strings
                        - synth_lead
                        - woodwinds
                        - flute
                        - harp
                        - tambourine
                        - trumpet
                        - arpeggiator
                        - accordion
                        - fiddle
                        - pedal_steel_guitar
                        - synth_voice
                        - violin
                        - digital_piano
                        - synth_brass
                        - mandolin
                        - choir
                        - banjo
                        - bells
                        - clarinet
                        - tenor_saxophone
                        - trombone
                        - shaker
                        - french_horn
                        - glockenspiel
                        - electric_bass
                        - cello
                        - timpani
                        - harmonica
                        - marimba
                        - vibraphone
                        - lap_steel_guitar
                        - saxophone
                        - orchestra
                        - horns
                        - cymbals
                        - hand_clap
                        - oboe
                        - celesta
                        - congas
                        - drone
                        - alto_saxophone
                        - double_bass
                        - ukulele
                        - harpsichord
                        - baritone_saxophone
                        - xylophone
                        - tuba
                        - bass_guitar
                        - whistle
                        - lead_guitar
                        - rhodes
                        - '808'
                        - bongos
                        - bassoon
                        - cowbell
                        - viola
                        - sitar
                        - steel_drums
                        - piccolo
                        - theremin
                        - bagpipes
                        - hi_hat
                        - music_box
                        - melodica
                        - tabla
                        - koto
                        - djembe
                        - taiko
                        - didgeridoo
                  required:
                    - music_id
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    IsStorageParams:
      type: object
      properties:
        isStorage:
          type: boolean
          default: true
          description: >-
            Whether to store the generated audio.


            - **true**: The audio will be stored and a TTAPI CDN URL will be
            returned

            - **false**: The original source URL will be returned
    HookUrlParams:
      type: object
      properties:
        hookUrl:
          type: string
          description: Callback notification URL
  responses:
    SuccessResponse:
      description: Request successful
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
            required:
              - status
              - message
              - data
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://dashboard.ttapi.io' target='_blank'>TTAPI Dashboard</a>.

````